package com.dsk.cscec.controller;

import com.dsk.common.core.controller.BaseController;
import com.dsk.common.core.domain.R;
import com.dsk.cscec.domain.bo.CbSummaryActualListBo;
import com.dsk.cscec.domain.vo.CbGainLossAnalysisListVo;
import com.dsk.cscec.service.ICbGainLossAnalysisService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 成本-盈亏分析对比
 *
 * @Author lcl
 * @Data 2024/2/18 14:01
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/cb/gain/loss/analysis")
public class CbGainLossAnalysisController extends BaseController {

    private final ICbGainLossAnalysisService baseService;

    /**
     *  数据列表
     */
    @GetMapping("/list")
    public R<List<CbGainLossAnalysisListVo>> getList(CbSummaryActualListBo bo) {
        return R.ok(baseService.getList(bo));
    }

}
