package com.dsk.cscec.controller;

import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.bo.SupplierLimitedSearchBo;
import com.dsk.cscec.domain.bo.SupplierUnlimitedSearchBo;
import com.dsk.cscec.domain.vo.SupplierLimitedSearchVo;
import com.dsk.cscec.domain.vo.SupplierUnlimitedSearchVo;
import com.dsk.cscec.service.FSupplierLimitedService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 供应商限制信息表(FSupplierLimited)表控制层
 *
 * @author sxk
 * @since 2024-01-05 11:34:19
 */
@RestController
@RequestMapping("fSupplierLimited")
public class SupplierLimitedController {
    /**
     * 服务对象
     */
    @Resource
    private FSupplierLimitedService supplierLimitedService;

    /**
     * 获取涉诉限用禁用名单
     */
    @GetMapping("/getSupplierLimitedList")
    public TableDataInfo<SupplierLimitedSearchVo> getSupplierLimitedList(SupplierLimitedSearchBo searchBo, PageQuery pageQuery) {
        return supplierLimitedService.querySupplierLimitedList(searchBo, pageQuery);
    }

    /**
     * 获取解除限用禁用名单
     */
    @GetMapping("/getSupplierUnlimitedList")
    public TableDataInfo<SupplierUnlimitedSearchVo> getSupplierUnlimitedList(SupplierUnlimitedSearchBo searchBo, PageQuery pageQuery) {
        return supplierLimitedService.querySupplierUnlimitedList(searchBo, pageQuery);
    }
}

