package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 咨询机构自定义表单模板表(AdvisoryBodyCustomFormTemplate)实体类
 *
 * @author sxk
 * @since 2024-01-15 16:53:19
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AdvisoryBodyCustomFormTemplate extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 324906245942046585L;
    /**
     * 模板ID
     */
    @TableId(value = "template_id")
    private Long templateId;
    /**
     * json数据
     */
    @NotBlank(message = "json数据不能为空")
    private String jsonData;
}
