package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.15
 * @time 15:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AdvisoryBodyProject extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 项目主键
     */
    @TableId(value = "project_key")
    private Long projectKey;
    /**
     * 咨询机构ID
     */
    private Long advisoryBodyId;
    /**
     * 咨询机构cid(用于查询建设库数据)
     */
    private Integer advisoryBodyCid;
    /**
     * 合作时间
     */
    private Date cooperateTime;
    /**
     * 项目负责人
     */
    private String projectLeader;
    /**
     * 项目负责人专业
     */
    private String projectLeaderMajor;
    /**
     * 项目负责人联系电话
     */
    private String projectLeaderPhone;
    /**
     * 结算金额(万元)
     */
    private BigDecimal settleAmount;
    /**
     * 结算开始时间
     */
    private Date settleStartTime;
    /**
     * 结算完成时间
     */
    private Date settleFinishTime;
    /**
     * 是否为终审单位（0代表是 1代表否）
     */
    private String isFinalJudgeUnit;
}
