package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 业务数据字典对象 biz_dict_data
 *
 * @author ruoyi
 * @date 2021-11-08
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("biz_dict_data")
public class BizDictData implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 编码
     */
    @TableId(value = "id")
    private String id;


    private String ancestors;

    /**
     * 字典编码
     */
    private String code;

    /**
     * 字典名称
     */
    private String name;

    /**
     * 系统字典表 biz_dict_data_type
     */
    private String type;

    /**
     * 字典父级id
     */
    private String parentId;

    @TableField(exist = false)
    private String parentName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;

    @TableField(exist = false)
    private List<BizDictData> children = new ArrayList<BizDictData>();


}
