package com.dsk.cscec.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
    * 项目每月实际措施费
    */
@Data
@TableName(value="cb_cost_measure")
public class CbCostMeasure {
    /**
    * 主键
    */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
    * 项目ID
    */
    private Long projectId;

    /**
    * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
    */
    private Integer cbStage;

    /**
    * 父项id
    */
    private Long parentId;

    /**
    * 层级数
    */
    private Integer level;

    private String number;

    private String no;

    /**
    * 清单内容
    */
    private String itemContent;

    /**
    * 工作内容、做法/规格型号/施工现场配置说明
    */
    private String workContent;

    /**
    * 单位
    */
    private String unit;

    /**
    * 工程量
    */
    private BigDecimal quantity;

    /**
    * 不含税单价
    */
    private String unitPriceExcludingTax;

    /**
    * 使用时间
    */
    private String usageTime;

    /**
    * 不含税合价
    */
    private String amountExcludingTax;

    /**
    * 税率(%)
    */
    private String taxRate;

    /**
    * 含税合价
    */
    private String amountIncludingTax;

    /**
    * 摊销比例(%)
    */
    private String amortizationRatio;

    /**
    * 摊销后不含税合价
    */
    private String amountExcludeTaxAmortized;

    /**
    * 摊销后含税合价
    */
    private String amountIncludeTaxAmortized;

    /**
    * 税金（元）
    */
    private String taxAmount;

    /**
    * 备注
    */
    private String remarks;

    /**
    * 成本科目
    */
    private String costSubject;

    /**
    * 税金类型
    */
    private String taxType;


    /**
     * 数据来源（0:导入，1:手动添加）
     */
    private Integer dataSource;


    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 更新时间
    */
    private Date updateTime;
}