package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

@Data
@TableName(value = "cb_cost_measure_actual")
public class CbCostMeasureActual {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 计划成本措施费id
     */
    @TableField(value = "plan_measure_id")
    private Long planMeasureId;

    /**
     * 本月发生成本比例
     */
    @TableField(value = "month_cost_rate")
    private BigDecimal monthCostRate;

    /**
     * 成本合价
     */
    @TableField(value = "cost_effective")
    private BigDecimal costEffective;

    /**
     * 截止本月工程量
     */
    @TableField(value = "current_project_volume")
    private BigDecimal currentProjectVolume;

    /**
     * 推送工程量
     */
    @TableField(value = "submit_project_volume")
    private BigDecimal submitProjectVolume;

    /**
     * 年月
     */
    @TableField(value = "`month`")
    private String month;

    /**
     * 推送时间
     */
    @TableField(value = "push_time")
    private Date pushTime;

    /**
     * 推送数据json
     */
    @TableField(value = "push_data_json")
    private String pushDataJson;

    /**
     * 是否删除
     */
    @TableField(value = "del_flag")
    private Integer delFlag;

    /**
     * 修改人
     */
    @TableField(value = "update_user")
    private String updateUser;

    /**
     * 修改人id
     */
    @TableField(value = "update_id")
    private Long updateId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    public static final String COL_ID = "id";

    public static final String COL_PLAN_MEASURE_ID = "plan_measure_id";

    public static final String COL_MONTH_COST_RATE = "month_cost_rate";

    public static final String COL_COST_EFFECTIVE = "cost_effective";

    public static final String COL_CURRENT_PROJECT_VOLUME = "current_project_volume";

    public static final String COL_SUBMIT_PROJECT_VOLUME = "submit_project_volume";

    public static final String COL_MONTH = "month";

    public static final String COL_PUSH_TIME = "push_time";

    public static final String COL_PUSH_DATA_JSON = "push_data_json";

    public static final String COL_DEL_FLAG = "del_flag";

    public static final String COL_UPDATE_USER = "update_user";

    public static final String COL_UPDATE_ID = "update_id";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_UPDATE_TIME = "update_time";
}