package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 直接费成本表(CbDirectExpense)实体类
 *
 * @author sxk
 * @since 2024-02-05 14:43:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CbDirectExpense extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -47221883482254959L;
    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 成本阶段(0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 父级ID
     */
    private Long parentId;
    /**
     * 项目文件ID
     */
    private Long projectFileId;
    /**
     * 序号
     */
    private String number;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 编码
     */
    private String code;
    /**
     * 名称
     */
    private String expenseName;
    /**
     * 清单/费用项分类标识
     */
    private String expenseCategoryTag;
    /**
     * 项目特征
     */
    private String projectFeature;
    /**
     * 单位
     */
    private String unit;
    /**
     * 工程量表达式
     */
    private String engineeringVolumeExpression;
    /**
     * 工程量
     */
    private String engineeringVolume;
    /**
     * 成本科目
     */
    private String cbSubject;
    /**
     * 招标控制价单价
     */
    private String tenderControlUnitPrice;
    /**
     * 招标控制价合价
     */
    private String tenderControlSumPrice;
    /**
     * 不含税成本单价
     */
    private String excludeTaxCbUnitPrice;
    /**
     * 不含税成本合价
     */
    private String excludeTaxCbSumPrice;
    /**
     * 成本税金合计
     */
    private String cbTaxSum;
    /**
     * 含税成本单价
     */
    private String includeTaxCbUnitPrice;
    /**
     * 含税成本合价
     */
    private String includeTaxCbSumPrice;
    /**
     * 合价偏差
     */
    private String sumPriceDeviation;
    /**
     * 盈亏率
     */
    private String profitLossRatio;
    /**
     * 标准成本费用
     */
    private String standardCbItem;
    /**
     * 数据源(0:导入、1:手动新增)
     */
    private Integer dataOrigin;
    /**
     * 删除状态(0:否、2:是)
     */
    @TableLogic(value = "0", delval = "2")
    private Integer delFlag;
    /**
     * 备注
     */
    private String failRemark;
}
