package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

/**
    * 项目费用汇总表
    */
@Data
@TableName(value = "cb_project_expense_summary")
public class CbProjectExpenseSummary {
    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 项目ID
     */
    @TableField(value = "project_id")
    private Long projectId;

    /**
     * 成本阶段(0:标前成本、1:标后成本、2:转固成本)
     */
    @TableField(value = "cb_stage")
    private Integer cbStage;

    /**
     * 序号
     */
    @TableField(value = "`number`")
    private String number;

    /**
     * 数据类型(0:现场经费、1:其他费用)
     */
    @TableField(value = "data_type")
    private Integer dataType;

    /**
     * 名称
     */
    @TableField(value = "expense_name")
    private String expenseName;

    /**
     * 数值
     */
    @TableField(value = "expense_value")
    private String expenseValue;

    /**
     * 占比
     */
    @TableField(value = "proportion")
    private String proportion;

    /**
     * 删除状态(0:否、2:是)
     */
    @TableField(value = "del_flag")
    private Integer delFlag;

    /**
     * 创建者
     */
    @TableField(value = "create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    public static final String COL_ID = "id";

    public static final String COL_PROJECT_ID = "project_id";

    public static final String COL_CB_STAGE = "cb_stage";

    public static final String COL_NUMBER = "number";

    public static final String COL_DATA_TYPE = "data_type";

    public static final String COL_EXPENSE_NAME = "expense_name";

    public static final String COL_EXPENSE_VALUE = "expense_value";

    public static final String COL_PROPORTION = "proportion";

    public static final String COL_DEL_FLAG = "del_flag";

    public static final String COL_CREATE_BY = "create_by";

    public static final String COL_CREATE_TIME = "create_time";
}