package com.dsk.cscec.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import lombok.Data;

/**
 * 成本-工料汇总月记录(CbQuantitySummaryActual)表实体类
 *
 * @author lcl
 * @since 2024-02-05 11:12:47
 */
@Data
@TableName("cb_quantity_summary_actual")
public class CbQuantitySummaryActual implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private String id;
    /**
     * 成本汇总基本数据id
     */
    private Long cbQuantitySummaryId;
    /**
     * 工程量（本月用料）
     */
    private Double quantities;
    /**
     * 本月用料单位
     */
    private String quantitiesUnit;
    /**
     * 换算后本月用料
     */
    private Double conversionQuantities;
    /**
     * 换算单位
     */
    private String conversionUnit;
    /**
     * 采购单价
     */
    private Double purchaseUnitPrice;

    /**
     * 推送时间
     */
    private Date pushTime;
    /**
     * 记录所属年月
     */
    private String recordDate;
    /**
     * 推送工程量
     */
    private Double pushQuantities;
    /**
     *  IPM项目编码
     */
    private String ipmProjectCode;
    /**
     * IPM合同编码
     */
    private String ipmContractCode;
    /**
     * IPM作业编码
     */
    private String ipmBizCode;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新人
     */
    private String updateBy;
    /**
     * 更新时间
     */
    private Date updateTime;

}

