package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 现场经费-工资统筹、其他费用、现场管理费表(CbSceneExpenseChildren)实体类
 *
 * @author sxk
 * @since 2024-02-22 09:59:00
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CbSceneExpenseChildren extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 895279707061984760L;
    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 成本阶段(0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 父级ID
     */
    private Long parentId;
    /**
     * 序号
     */
    private String number;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 数据类型(0:工资统筹、1:现场管理费、2:其他费用)
     */
    private Integer dataType;
    /**
     * 名称
     */
    private String expenseName;
    /**
     * 单位
     */
    private String unit;
    /**
     * 成本数量-工资统筹表
     */
    private Integer cbCount;
    /**
     * 使用时间-其他费用表
     */
    private Integer useTime;
    /**
     * 工程量-现场管理费表
     */
    private String engineeringVolume;
    /**
     * 公司单价/不含税单价
     */
    private String unitPrice;
    /**
     * 目标成本合价(不含税)/不含税合价
     */
    private String excludeTaxSumPrice;
    /**
     * 目标成本合价(含税)/含税合价
     */
    private String includeTaxSumPrice;
    /**
     * 成本科目
     */
    private String cbSubject;
    /**
     * 税金类型
     */
    private String taxType;
    /**
     * 删除状态(0:否、2:是)
     */
    @TableLogic(value = "0", delval = "2")
    private Integer delFlag;
    /**
     * 备注
     */
    private String remark;
}
