package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 现场经费-每月费用表(CbSceneExpenseMonth)实体类
 *
 * @author sxk
 * @since 2024-02-22 09:59:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CbSceneExpenseMonth extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -73353509267146384L;
    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 现场经费ID
     */
    private Long sceneExpenseId;
    /**
     * 本月费用
     */
    private Double currentMonthExpense;
    /**
     * 费用日期
     */
    private String expenseDate;
    /**
     * 删除状态(0:否、2:是)
     */
    @TableLogic(value = "0", delval = "2")
    private Integer delFlag;
}
