package com.dsk.cscec.domain;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 成本科目(CostSubject)表实体类
 *
 * @author lcl
 * @since 2024-02-05 09:29:46
 */
@Data
@TableName("cb_subject")
public class CbSubject implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private Long id;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 成本科目名称（合约规划）
     */
    private String cbSubjectName;
    /**
     * 成本科目编号（合约规划编号）
     */
    private String cbSubjectNo;
    /**
     * 分判模式
     */
    private String subjudgmentMode;
    /**
     * 税金类型
     */
    private String taxType;
    /**
     * 状态 0：有效 1：无效
     */
    private Integer status;
    /**
     * 类型 0: 未归类 1：房建
     */
    private Integer type;

    private Date createTime;

    private Integer sort;
}

