package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 成本汇总(CbSummary)实体类
 *
 * @author cyf
 * @since 2024-02-06
 */
@Data
public class CbSummary implements Serializable {
    private static final long serialVersionUID = -20126964599875841L;
    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 父级id
     */
    private Long parentId;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 项目成本文件id
     */
    private Long cbProjectFileId;
    /**
     * 序号
     */
    private String number;
    /**
     * 名称/成本科目
     */
    private String cbName;
    /**
     * 不含税成本合价
     */
    private String taxExclusiveTotal;
    /**
     * 成本税金合价
     */
    private String cbTaxesTotal;
    /**
     * 含税成本合价
     */
    private String taxInclusiveTotal;
    /**
     * 成本占比
     */
    private String cbProportion;
    /**
     * 含税成本平米指标
     */
    private String taxInclusivePmTarget;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 删除状态(0:否、2:是)
     */
    @TableLogic
    private Integer delFlag;
    /**
     * 成本类型（1项目汇总，2成本科目汇总）
     */
    private Integer cbType;

}
