package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.io.Serializable;
import java.util.List;

/**
 * 维表：工程类型，源于IPM(DProjectType)实体类
 *
 * @author sxk
 * @since 2024-01-05 11:45:46
 */
@Data
public class DProjectType implements Serializable {
    private static final long serialVersionUID = -28204467748448386L;
    /**
     * 工程类型主键
     */
    private Long projectTypeKey;
    /**
     * 工程类型编码
     */
    private String projectTypeCode;
    /**
     * 工程类型名称
     */
    private String projectTypeName;
    /**
     * 工程类型上级名称1
     */
    private String projectTypeName1;
    /**
     * 工程类型上级名称2
     */
    private String projectTypeName2;
    /**
     * 工程类型层级
     */
    private Long levelNo;
    /**
     * 是否叶子节点
     */
    private String isleaf;
    /**
     * 是否有效
     */
    private String isvalid;
    /**
     * 备注
     */
    private String remark;
    /**
     * 工程类型ID
     */
    private String projectTypeId;
    /**
     * 工程类型父ID
     */
    private String parentId;
    /**
     * 数据加载时间
     */
    private Date loadTime;

    @TableField(exist = false)
    private List<DProjectType> children = new ArrayList<DProjectType>();
}
