package com.dsk.cscec.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 * 分包分供合同(DSubcontract)表实体类
 *
 * @author lcl
 * @since 2023-12-11 15:31:44
 */
@Data
public class DSubcontract implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 分包合同主键
     */
    private Long subcontractKey;
    /**
     * 分包合同ID
     */
    private String subcontractId;
    /**
     * 分包合同编码
     */
    private String subcontractCode;
    /**
     * 分包合同名称
     */
    private String subcontractName;
    /**
     * 财务一体化分包合同编码
     */
    private String fipSubcontractCode;
    /**
     * 财务一体化分包合同名称
     */
    private String fipSubcontractName;
    /**
     * 业务类型
     */
    private String contractScope;
    /**
     * 合同类型
     */
    private String contractType;
    /**
     * 项目ID
     */
    private String projectId;
    /**
     * 项目编码
     */
    private String projectCode;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 分包合同金额
     */
    private Double subcontractValue;
    /**
     * 分包合同不含税金额
     */
    private Double subcontractValueExcl;
    /**
     * 分包合同税额
     */
    private Double subcontractTaxValue;
    /**
     * 签订单位ID
     */
    private String signOrgId;
    /**
     * 签订单位名称
     */
    private String signOrgName;
    /**
     * 合同签订日期
     */
    private String signDate;
    /**
     * 合同盖章日期
     */
    private String stampDate;
    /**
     * 合同返回日期
     */
    private String returnDate;
    /**
     * 交底日期
     */
    private String noticeDate;
    /**
     * 实际完成时间
     */
    private String completeDate;
    /**
     * 合同开始日期
     */
    private String subcontractStartDate;
    /**
     * 合同结束日期
     */
    private String subcontractEndDate;
    /**
     * 是否甲指
     */
    private String isownerappoint;
    /**
     * 施工专业ID
     */
    private String specialtyId;
    /**
     * 施工专业
     */
    private String specialtyType;
    /**
     * 履约状态
     */
    private String contractState;
    /**
     * 供应商ID
     */
    private String customerId;
    /**
     * 供应商名称
     */
    private String customerName;
    /**
     * 客商类型
     */
    private String customerType;
    /**
     * 分包范围
     */
    private String jobScope;
    /**
     * 付款方式
     */
    private String payType;
    /**
     * 付款比例是否固定
     */
    private Double isfixedpayratio;
    /**
     * 过程中付款比例
     */
    private Double processPayRatio;
    /**
     * 完工后付款比例
     */
    private Double completePayRatio;
    /**
     * 结算后付款比例
     */
    private Double settlePayRatio;
    /**
     * 保修金比例
     */
    private Double warrantyGoldRatio;
    /**
     * 分包合同应付金额
     */
    private Double subcontractPayableValue;
    /**
     * 分包合同已付金额
     */
    private Double subcontractPaidValue;
    /**
     * 预付款
     */
    private Double prepayValue;
    /**
     * 已付款
     */
    private Double paidValue;
    /**
     * 垫付款
     */
    private Double advanceValue;
    /**
     * 结算方式
     */
    private String settleType;
    /**
     * 结算价
     */
    private Double settleValue;
    /**
     * 人工费
     */
    private Double laborFee;
    /**
     * 备注
     */
    private String remark;
    /**
     * 合同分类
     */
    private String contractClass;
    /**
     * 成本科目ID
     */
    private String costSubjectId;
    /**
     * 成本科目名称
     */
    private String costSubjectName;
    /**
     * 成本科目全路径名称
     */
    private String costSubjectFullname;
    /**
     * 执行备案
     */
    private String contractTextType;
    /**
     * 税率
     */
    private Double taxRate;
    /**
     * 盖章份数
     */
    private Double noOfStamp;
    /**
     * 盖章明晰
     */
    private String signRemark;
    /**
     * 返回明晰
     */
    private String issign;
    /**
     * 承包类型
     */
    private String contractForm;
    /**
     * 是否为一局内部公司
     */
    private String iscscec1bcompany;
    /**
     * 是否主体结构分包合同
     */
    private String isfirststruct;
    /**
     * 建筑面积
     */
    private Double areaSum;
    /**
     * 锁定金额
     */
    private Double lockValue;
    /**
     * 战采资源级别
     */
    private String gpResLevel;
    /**
     * 战采资源类别
     */
    private String gpResScope;
    /**
     * 战采资源品类
     */
    private String gpResCategory;
    /**
     * 战略采购供应商年度
     */
    private Double gpSupplierYear;
    /**
     * 是否集中采购（是/否）
     */
    private String isGp;
    /**
     * 战采管理要求
     */
    private String gpApplication;
    /**
     * 合同是否执行战采价格
     */
    private String isUseGpprice;
    /**
     * 战采供应商ID
     */
    private String fgpcustomerid;
    /**
     * 分包合同版本
     */
    private Double subcontractVersion;
    /**
     * 流程状态
     */
    private String fbizstatename;
    /**
     * 流程状态
     */
    private String fbizstate;
    /**
     * 材料类型
     */
    private String materialType;
    /**
     * 数据加载时间
     */
    private String loadTime;
}

