package com.dsk.cscec.domain.bo;

import com.dsk.common.core.domain.BaseEntity;
import com.dsk.common.core.validate.AddGroup;
import com.dsk.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 业务数据字典业务对象 biz_dict_data
 *
 * @author ruoyi
 * @date 2021-11-08
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class BizDictDataBo extends BaseEntity {

    /**
     * 编码
     */
    @NotNull(message = "编码不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 字典编码
     */
    private String code;

    /**
     * 字典名称
     */
    @NotBlank(message = "字典名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 系统字典表 biz_dict_data_type
     */
    @NotBlank(message = "系统字典表 biz_dict_data_type不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;

    /**
     * 字典父级id
     */
    @NotNull(message = "字典父级id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String parentId;

    /**
     * 分页大小
     */
    private Integer pageSize;

    /**
     * 当前页数
     */
    private Integer pageNum;

    /**
     * 排序列
     */
    private String orderByColumn;

    /**
     * 排序的方向desc或者asc
     */
    private String isAsc;

    /**
     * 祖级列表
     */
    private String ancestors;
}
