package com.dsk.cscec.domain.bo;

import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 成本汇总-每月费用Bo
 *
 * @author cyf
 * @since 2024-02-06
 */
@Data
public class CbSummaryActualBo extends BaseEntity {
    /**
     * 费用id
     */
    private Long id;
    /**
     * 成本汇总id
     */
    @NotNull(message = "成本汇总id不能为空")
    private Long cbSummaryId;
    /**
     * 本月费用（含税）
     */
    private BigDecimal taxInclusiveExpense;
    /**
     * 本月费用（不含税）
     */
    private BigDecimal taxExclusiveExpense;
    /**
     * 费用日期
     */
    @NotEmpty(message = "费用日期不能为空")
    private String expenseDate;

}
