package com.dsk.cscec.domain.bo;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.19
 * @time 09:54
 */
@Data
public class EditAdvisoryBodyInfoBo {
    /**
     * 是否为新资讯机构
     */
    @NotNull(message = "是否为新咨询机构不能为空")
    private Boolean isNewAdvisoryBody;
    /**
     * 项目主键
     */
    @NotNull(message = "项目主键不能为空")
    private Long projectKey;
    /**
     * 咨询机构cid(用于查询建设库数据)
     */
    @NotNull(message = "咨询机构cid不能为空")
    private Integer advisoryBodyCid;
    /**
     * 咨询机构名称
     */
    @NotBlank(message = "咨询机构名称不能为空")
    private String advisoryBodyName;
    /**
     * 经营范围
     */
    @NotBlank(message = "经营范围不能为空")
    private String businessScope;
    /**
     * 合作时间
     * PRD上要求以合作时间作为排序字段,但PM未给出新增合作时间的位置,暂用创建时间作为排序字段
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date cooperatorDate;
    /**
     * 项目负责人
     */
    private String projectLeader;
    /**
     * 项目负责人专业
     */
    private String projectLeaderMajor;
    /**
     * 项目负责人联系电话
     */
    private String projectLeaderPhone;
    /**
     * 结算金额(万元)
     */
    private Double settleAmount;
    /**
     * 结算开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date settleStartTime;
    /**
     * 结算完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date settleFinishTime;
    /**
     * 是否为终审单位（0代表是 1代表否）
     */
    private String isFinalJudgeUnit;
}
