package com.dsk.cscec.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author lcl
 * @Data 2024/2/19 9:42
 */
@Data
public class CbGainLossAnalysisListVo implements Serializable {

    private Long id;
    /**
     * 名称
     */
    private String cbName;
    /**
     *  招标控制价（招标控制价合价）
     */
    private String tenderSumPrice;
    /**
     *  招标控制价（不含税招标合价）
     */
    private String taxExcludeTenderSumPrice;
    /**
     * 招标控制价（含税招标合价）
     */
    private String taxIncludeTenderSumPrice;
    /**
     *  投标报价（投标报价合价）
     */
    private String bidSumPrice;
    /**
     *  投标报价（不含税投标合价）
     */
    private String taxExcludeBidSumPrice;
    /**
     * 投标报价（含税投标合价）
     */
    private String taxIncludebBidSumPrice;
    /**
     * 成本汇总（不含税成本合价）
     */
    private String taxExclusiveTotal;
    /**
     * 成本汇总（成本税金合价）
     */
    private String cbTaxesTotal;
    /**
     * 成本汇总（含税成本合价）
     */
    private String taxInclusiveTotal;
    /**
     * 造价指标（招标控制价）
     */
    private String costTender;
    /**
     * 造价指标（投标报价）
     */
    private String costBid;
    /**
     * 造价指标（成本）
     */
    private String costExpense;
    /**
     * 含税成本占比
     */
    private String taxInclusiveExpenseProportion;
    /**
     * 招标控制价(含税合价偏差)
     */
    private String tenderSumPriceDeviation;
    /**
     * 招标控制价(含税盈亏率)
     */
    private String tenderProfitLossRatio;
    /**
     * 投标报价(含税合价偏差)
     */
    private String bidSumPriceDeviation;
    /**
     * 投标报价(含税盈亏率)
     */
    private String bidProfitLossRatio;
    /**
     * 实际成本费用（本月费用（含税））
     */
    private String taxInclusiveExpense;
    /**
     * 实际成本费用（本月费用（不含税））
     */
    private String taxExclusiveExpense;
    /**
     * 实际成本费用（截至本月费用（含税））
     */
    private String sumTaxInclusiveExpense;
    /**
     * 实际成本费用（截至本月费用（不含税））
     */
    private String sumTaxExclusiveExpense;

    private List<CbGainLossAnalysisListVo> children;

}
