package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName CbProjectOtherVo
 * @Description 项目其他项目费用
 * @Author Dgm
 * @Date 2024/2/8 10:39
 * @Version 1.0.0
 */
@Data
public class CbProjectOtherImportVo {

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private String number;

    /**
     * 清单内容
     */
    @ExcelProperty(value = "清单内容")
    private String itemContent;

    /**
     * 工作内容、做法/规格型号/施工现场配置说明
     */
    @ExcelProperty(value = "工作内容")
    private String workContent;

    /**
     * 单位
     */
    @ExcelProperty(value = "单位")
    private String unit;

    /**
     * 工程量
     */
    @ExcelProperty(value = "工程量")
    private BigDecimal engineeringQuantity;

    /**
     * 不含税单价
     */
    @ExcelProperty(value = "不含税单价")
    private String unitPriceExcludingTax;

    /**
     * 不含税合价
     */
    @ExcelProperty(value = "不含税合价")
    private String totalPriceExcludeTax;
    /**
     * 税率(%)
     */
    @ExcelProperty(value = "税率(%)")
    private String taxRate;
    /**
     * 含税合价
     */
    @ExcelProperty(value = "含税合价")
    private String totalPriceIncludingTax;

    /**
     * 税金（元）
     */
    @ExcelProperty(value = "税金（元）")
    private String taxAmount;
    /**
     * 成本科目
     */
    @ExcelProperty(value = "成本科目")
    private String costSubject;
    /**
     * 税金类型
     */
    @ExcelProperty(value = "税金类型")
    private String taxType;
    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 数据类型（1：履约担保、保函手续费、市场营销奖励费、2：创优费:3：其他:4：保险保函:5：水电费:6：现场其他直接费:7：技术质量管理:8：工程保险类:10：报批报建、竣工验收类
     */
    private String dataType;

    /**
     * 主键id
     */
    private Long id;
    /**
     * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 父项id
     */
    private Long parentId;
    /**
     * 处理后序号
     */
    private String dealWithNumber;
}
