package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 成本汇总(CbSummary)-项目汇总导出Vo
 *
 * @author cyf
 * @since 2024-02-06
 */
@Data
@NoArgsConstructor
public class CbSummaryProjectExportVo implements Serializable {
    private static final long serialVersionUID = -20126964599875841L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private String number;
    /**
     * 名称
     */
    @ExcelProperty(value = "名称")
    private String cbName;
    /**
     * 不含税成本合价
     */
    @ExcelProperty(value = "不含税成本合价")
    private String taxExclusiveTotal;
    /**
     * 成本税金合价
     */
    @ExcelProperty(value = "成本税金合价")
    private String cbTaxesTotal;
    /**
     * 含税成本合价
     */
    @ExcelProperty(value = "含税成本合价")
    private String taxInclusiveTotal;
    /**
     * 成本占比
     */
    @ExcelProperty(value = "成本占比")
    private String cbProportion;
    /**
     * 含税成本平米指标
     */
    @ExcelProperty(value = "含税成本平米指标")
    private String taxInclusivePmTarget;
    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;
    /**
     * 本月费用（含税）
     */
    @ExcelProperty(value = "本月费用（含税）")
    private BigDecimal taxInclusiveExpense;
    /**
     * 本月费用（不含税）
     */
    @ExcelProperty(value = "本月费用（不含税）")
    private BigDecimal taxExclusiveExpense;
    /**
     * 截至本月费用（含税）
     */
    @ExcelProperty(value = "截至本月费用（含税）")
    private BigDecimal taxInclusiveExpenseTotal;
    /**
     * 截至本月费用（不含税）
     */
    @ExcelProperty(value = "截至本月费用（不含税）")
    private BigDecimal taxExclusiveExpenseTotal;
}
