package com.dsk.cscec.domain.vo;

import com.dsk.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author lcl
 * @Data 2023/12/18 14:14
 */
@Data
public class DCustomerListVo implements Serializable {


    private static final long serialVersionUID = 1L;

    @Excel(name = "序号", width = 6)
    private Integer num;
    /**
     * jsk企业id
     */
    private Integer companyId;
    /**
     * 客商主键
     */
    private Long customerKey;
    /**
     * ipm供应商id
     */
    private String customerId;
    /**
     * 税号
     */
    private String taxNumber;
    /**
     * 供应商名称
     */
    @Excel(name = "供应商名称", width = 30)
    private String customerName;
    /**
     * 供应商编号
     */
    @Excel(name = "供应商编号", width = 15)
    private String customerCode;
    /**
     * 推荐公司
     */
    @Excel(name = "推荐单位", width = 30)
    private String recommendOrg;
    /**
     * 注册地区域
     */
    @Excel(name = "公司注册区域", width = 10)
    private String registerRegion;
    /**
     * 省份
     */
    @Excel(name = "公司注册省", width = 10)
    private String registerProvince;
    /**
     * 城市
     */
    @Excel(name = "公司注册市", width = 10)
    private String registerCity;
    /**
     * 供应商类别
     */
    @Excel(name = "供应商类别", width = 10)
    private String customerClass;
    /**
     * 集团专业类别
     */
    @Excel(name = "专业类别", width = 20)
    private String groupSpecialty;
    /**
     * 纳税人身份
     */
    @Excel(name = "纳税人身份", width = 10)
    private String paytaxType;
    /**
     * 纳税人税率
     */
    @Excel(name = "纳税人税率", width = 10)
    private String taxRate;
    /**
     * 供应商状态
     */
    @Excel(name = "状态", width = 10)
    private String customerState;
    /**
     * 限用/禁用状态
     */
    @Excel(name = "限用/禁用状态", width = 10)
    private String badnessState;
    /**
     * 队长名称
     */
    @Excel(name = "劳务队长", width = 10)
    private String leaderName;
    /**
     * 劳务队长联系电话
     */
    @Excel(name = "队长联系电话", width = 10)
    private String laborCaptainPhone;
    /**
     * 劳务队长身份证号
     */
    @Excel(name = "队长身份证号", width = 10)
    private String laborCaptainIdcard;
    /**
     * 队伍规模人数
     */
    @Excel(name = "队伍规模", cellType = Excel.ColumnType.NUMERIC, width = 10)
    private Double serviceTeamPersonnum;
    /**
     * 专业特长
     */
    @Excel(name = "专业特长", width = 10)
    private String serviceTeamSpeciality;
    /**
     * 施工承包范围
     */
    @Excel(name = "施工承包范围", width = 25)
    private String constructJobScope;
    /**
     * 资质等级
     */
    @Excel(name = "资质等级", width = 10)
    private String credential;
    /**
     * 注册资金
     */
    @Excel(name = "注册资金（万元）", cellType = Excel.ColumnType.NUMERIC, width = 10)
    private Double registerCapital;
    /**
     * 联系人
     */
    @Excel(name = "公司联系人", width = 10)
    private String contactPerson;
    /**
     * 电话
     */
    @Excel(name = "联系人电话", width = 10)
    private String contactPhone;

    /**
     * 准入时间
     */
    @Excel(name = "准入时间", width = 10, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date approveDate2;
    /**
     * 企业合作数量
     */
    @Excel(name = "公司合作数量", width = 10)
    private Integer enterpriseCooperationCount;
    /**
     * 项目合作数量
     */
    @Excel(name = "合作项目数量", width = 10)
    private Integer projectCooperationCount;
    /**
     * 考评等级
     */
    @Excel(name = "分包商等级", width = 10)
    private String creditLevel;


}
