package com.dsk.cscec.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.DSubcontract;
import com.dsk.cscec.domain.vo.DCustomerListVo;
import com.dsk.cscec.domain.bo.CustomerCooperationBo;
import com.dsk.cscec.domain.vo.CustomerCooperationVo;
import org.apache.ibatis.annotations.Param;

/**
 * 分包分供合同(DSubcontract)表数据库访问层
 *
 * @author lcl
 * @since 2023-12-11 15:31:44
 */
public interface DSubcontractMapper extends BaseMapper<DSubcontract> {

    Integer selectEnterpriseCountByCustomerId(String customerId);

    Integer selectProjectCountByCustomerId(String customerId);

 	DCustomerListVo selectStatisticByCustomerId(String customerId);

/**
     * 供应商合作记录
     * @param build
     * @param bo
     * @return
     */
    Page<CustomerCooperationVo> selectCooperationList(IPage<CustomerCooperationBo> build, @Param("bo")CustomerCooperationBo bo);

    /**
     * 供应商合作记录数量
     * @param bo
     * @return
     */
    int countByBo(@Param("bo")CustomerCooperationBo bo);
}

