package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.FSupplierLimited;
import com.dsk.cscec.domain.vo.SupplierLimitedSearchVo;
import com.dsk.cscec.domain.vo.SupplierUnlimitedSearchVo;
import org.apache.ibatis.annotations.Param;

/**
 * 供应商限制信息表(FSupplierLimited)表数据库访问层
 *
 * @author sxk
 * @since 2024-01-05 11:34:19
 */
public interface FSupplierLimitedMapper extends BaseMapper<FSupplierLimited> {
    /**
     * 获取涉诉限用禁用名单
     */
    Page<SupplierLimitedSearchVo> selectPageSupplierLimitedList(@Param("page") Page<Object> build, @Param(Constants.WRAPPER) Wrapper<FSupplierLimited> wrapper);

    /**
     * 获取解除限用禁用名单
     */
    Page<SupplierUnlimitedSearchVo> selectPageSupplierUnlimitedList(@Param("page") Page<Object> build, @Param(Constants.WRAPPER) QueryWrapper<FSupplierLimited> wrapper);
}

