package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.FSupplierLimited;
import com.dsk.cscec.domain.bo.SupplierLimitedSearchBo;
import com.dsk.cscec.domain.bo.SupplierUnlimitedSearchBo;
import com.dsk.cscec.domain.vo.SupplierLimitedSearchVo;
import com.dsk.cscec.domain.vo.SupplierUnlimitedSearchVo;

/**
 * 供应商限制信息表(FSupplierLimited)表服务接口
 *
 * @author sxk
 * @since 2024-01-05 11:34:23
 */
public interface FSupplierLimitedService extends IService<FSupplierLimited> {
    /**
     * 获取涉诉限用禁用名单
     *
     * @param searchBo  查询实体
     * @param pageQuery 分页对象
     * @return 所有数据
     */
    TableDataInfo<SupplierLimitedSearchVo> querySupplierLimitedList(SupplierLimitedSearchBo searchBo, PageQuery pageQuery);

    /**
     * 获取解除限用禁用名单
     *
     * @param searchBo  查询实体
     * @param pageQuery 分页对象
     * @return 所有数据
     */
    TableDataInfo<SupplierUnlimitedSearchVo> querySupplierUnlimitedList(SupplierUnlimitedSearchBo searchBo, PageQuery pageQuery);
}
