package com.dsk.jsk.controller;

import com.dsk.common.core.domain.R;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.jsk.domain.JskCompanyRelationTableV1DetailPageDto;
import com.dsk.jsk.domain.JskCompanyRelationTableV1Dto;
import com.dsk.jsk.service.CompanyRelationTableV1Service;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @ClassName CompanyRelationTableV1Controller
 * @Description
 * @Author Dgm
 * @Date 2023/12/13 11:28
 * @Version
 */
@RestController
@RequestMapping("/consultancy")
public class CompanyRelationTableV1Controller {

    @Resource
    private CompanyRelationTableV1Service relationTableV1Service;


    /***
     *@Description: 业主/施工/集团单位-分页列表
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:29
     */
    @PostMapping("/page")
    public TableDataInfo page(@RequestBody JskCompanyRelationTableV1Dto dto) throws Exception {
        return relationTableV1Service.page(dto);
    }

    /***
     *@Description: -业主/施工/集团单位详情-分页列表
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:29
     */
    @PostMapping("/detailPage")
    public TableDataInfo detailPage(@RequestBody JskCompanyRelationTableV1DetailPageDto dto) throws Exception{
        return relationTableV1Service.detailPage(dto);
    }

    /***
     *@Description: -分页列表-下拉
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:29
     */
    @PostMapping("/pageSelect")
    public R pageSelect(@RequestBody JskCompanyRelationTableV1Dto dto) throws Exception{
        return relationTableV1Service.pageSelect(dto);
    }

    /***
     *@Description: -分页列表-统计
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:29
     */
    @PostMapping("/statistics")
    public R statistics(@RequestBody JskCompanyRelationTableV1DetailPageDto dto) throws Exception{
        return relationTableV1Service.statistics(dto);
    }

    /***
     *@Description: 常合作集团成员详情-分页列表
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:29
     */
    @PostMapping("/combinePage")
    public TableDataInfo combinePage(@RequestBody JskCompanyRelationTableV1Dto dto) throws Exception {
        return relationTableV1Service.combinePage(dto);
    }


}
