package com.dsk.monitor.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * @ClassName ConditionVo
 * @Description 共用条件
 * @Author Dgm
 * @Date 2023/12/9 15:36
 * @Version
 */
@Data
public class ConditionVo {
    /**
     * 用户id
     */
    private Long userId = 7324L;
    /**
     * 条件查询企业id
     */
    private Integer companyId;
    /**
     * 条件查询企业名称(模糊查询)
     */
    private String companyName;
    /**
     * 条件查询风险等级：正向，负向，中立，警示
     */
    private List<String> riskLevel;
    /**
     * 条件查询监控维度父级名称数组
     */
    private List<String> parentDimension;
    /**
     * 条件查询监控维度子级名称数组
     */
    private List<String> dimension;
    /**
     * 条件查询开始时间
     */
    private String beginTime;
    /**
     * 条件查询结束时间
     */
    private String endTime;

    /**
     * 报告类型(1.日报，2.周报，3.月报)
     */
    private Integer reportType;

    /**
     * 系统来源(ZJYJ)
     */
    private String sysType = "ZJYJ";

}
