import request from '@/utils/request';

/**
 * 获取(常合作业主单位、常合作施工单位、常合作集团)列表
 * @param {*} data 
 * @returns 
 */
export const getCooperativeOwnerUnitsListApi = (data) => request({
  url: "/consultancy/page",
  method: "post",
  data
});

/**
 * 获取(常合作业主单位、常合作施工单位、常合作集团)详情
 * @param {*} data 
 * @returns 
 */
export const getCooperativeOwnerUnitsDetailApi = (data) => request({
  url: "/consultancy/detailPage",
  method: "post",
  data
});

/**
 * 获取下拉列表选项
 * @param {*} data 
 * @returns 
 */
export const getCooperativeOwnerUnitsOptionsApi = (data) => request({
  url: "/consultancy/pageSelect",
  method: "post",
  data
});

/**
 * 当前页列表 amount 总数
 * @param {*} data 
 * @returns 
 */
export const getCooperativeOwnerUnitsCountAmountApi = (data) => request({
  url: "/consultancy/statistics",
  method: "post",
  data
});


/**
 * 常合作集团详情 合作成员列表
 * @param {*} data 
 * @returns 
 */
export const getCooperativeGroupMemberApi = (data) => request({
  url: "/consultancy/combinePage",
  method: "post",
  data
});