package com.dsk.system.domain.vo;

import com.dsk.common.annotation.Excel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户对象导入VO
 *
 * @author Lion Li
 */

@Data
@NoArgsConstructor
// @Accessors(chain = true) // 导入不允许使用 会找不到set方法
public class AptitudeVo implements Serializable {

    //如需修改以下字段,需同步修改
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private Integer no;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String companyName;

    /**
     * 资质名称
     */
    @Excel(name = "资质名称")
    private String certName;

    /**
     * 资质编号
     */
    @Excel(name = "资质编号")
    private String certNo;

    /**
     * 承包工程范围
     */
    @Excel(name = "承包工程范围")
    private String contractScope;

    /**
     * 发证日期
     */
    @Excel(name = "发证日期")
    private String issueDate;

    /**
     * 有效期
     */
    @Excel(name = "有效期")
    private String validityDate;

    /**
     * 发证机关
     */
    @Excel(name = "发证机关")
    private String authority;

    /**
     * 经营范围
     */
    @Excel(name = "经营范围")
    private String businessScope;

    public AptitudeVo(String deptName) {
        this.companyName = deptName.replace(" ", "");
    }

}
